<?php session_start();
error_reporting(0); ?>
<!DOCTYPE html>
<html>

<?php include '../../assets/lib/main_head.php';
?>

<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/areas_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php include '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container">
                    <h3 class="text-dark mb-4">Ordenes de pago</h3>
                    <div class="card">
                        <div class="card-header">
                            <ul class="nav nav-tabs card-header-tabs">
                                <li class="nav-item"><a class="nav-link active" href="generarOrden_view.php">Generar orden de pago</a></li>
                                <li class="nav-item"><a class="nav-link" href="bibliotecaOrdenes_view.php">Orden de pago: EMITIDAS</a></li>
                                <li class="nav-item"><a class="nav-link" href="bibliotecaOrdenesPagadas_view.php">Orden de pago: PAGADA</a></li>
                            </ul>
                        </div>
                        <div class="card-body">
                            <p class="card-text">Completa todos los campos para generar una orden de pago.</p>
                            <form id="formAgregarOrden">
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="row">
                                            <div class="col">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Contribuyente *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="text" id="nombreContribuyente" placeholder="Nombre del contribuyente" name="nombreContribuyente">
                                                </div>
                                            </div>

                                        </div>
                                        <div class="row">
                                            <div class="col">
                                                <div class="mb-3">
                                                    <label class="form-label" for="last_name">
                                                        <strong>Seleccionar el concepto de recaudación *</strong>
                                                    </label>
                                                    <select class="form-select" id="conceptoOrden" name="conceptoOrden">
                                                        <option label="Seleccionar concepto de recaudación" disabled selected></option>
                                                    </select>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="row">
                                            <div class="col">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Importe *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="text" id="importeOrden" placeholder="Ejemplo: 150" name="importeOrden">
                                                </div>
                                            </div>
                                            <div class="col">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Fecha de emisión *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="date" id="fechaOrden" name="fechaOrden">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="row">
                                            <div class="mb-3"><a class="btn btn-primary btn-sm d-none d-sm-inline-block" role="button" id="guardarOrden">
                                                    <i class="fas fa-save fa-sm text-white-100"></i> Guardar Información
                                                </a></div>
                                        </div>


                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php include '../../assets/lib/areas_footer.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>
    <script src="../../assets/js/script/orden_js.js"></script>
</body>

</html>