document.getElementById("cerrarSesion").addEventListener("click", function() {
    Swal.fire({
        icon: "warning",
        title: "¿Estás seguro/a de cerrar sesión?",
        showConfirmButton: true,
        confirmButtonText: "Cerrar Sesión",
        confirmButtonColor: "#3085d6",
        showCancelButton: true,
        cancelButtonText: "Cancelar",
        cancelButtonColor: "#d33",
        buttonsStyling: true,
    }).then((result) => {
        if (result.isConfirmed) {
            var xhr = new XMLHttpRequest();
            xhr.open("POST", "../../assets/lib/cerrarSesion.php", true);
            xhr.onreadystatechange = function() {
                if (this.readyState === XMLHttpRequest.DONE && this.status === 200) {
                    // Redirecciona a la página de inicio de sesión o cualquier otra página que hayas especificado
                    
                    Swal.fire({
                        position: "center",
                        icon: "success",
                        title: "Sesión Finalizada...",
                        showConfirmButton: false,
                        timer: 1500,
                    });
                    setTimeout(function(){
                        window.location.href = "../../index.php";
                    }, 1500);
                }
            };
            xhr.send();
        }
    });






});