<?php
session_start();
$id_usuario = $_SESSION['idUser'];
$id_recibo = $_GET['id'];
require '../../assets/lib/conexion.php';
require('../../assets/librerias/fpdf/fpdf.php');


$OrdenPagada = "SELECT * FROM orden_pago AS ORP
INNER JOIN usuarios AS U ON ORP.id_usuario=U.id_usuario
INNER JOIN recibo_pago AS RP ON RP.id_orden = ORP.id_orden
WHERE RP.id_recibo=$id_recibo";
$resultOrdenPagada = $mysqli->query($OrdenPagada);
$fila = mysqli_fetch_assoc($resultOrdenPagada);

$ConceptosPagados = "SELECT * FROM conceptos_pagar AS CP
INNER JOIN concepto_recaudacion AS CR ON CR.id_concepto_recaudacion=CP.id_concepto_recaudacion
INNER JOIN orden_pago AS OP ON OP.id_orden=CP.id_orden
INNER JOIN recibo_pago AS RP ON RP.id_orden=OP.id_orden
WHERE RP.id_recibo=$id_recibo";
$resultConceptosPagados = $mysqli->query($ConceptosPagados);

$Descuentos = "SELECT * FROM descuentos WHERE id_recibo = $id_recibo";
$resultDescuentos = $mysqli->query($Descuentos);
$nuevaFila = mysqli_fetch_assoc($resultDescuentos);
$porcentaje = $nuevaFila['porcentaje'];
$descuento= intval($fila['total_orden']) * intval($porcentaje) / 100;
$nuevoTotal = intval($fila['total_orden']) - $descuento;

$pdf = new FPDF('P','mm','Letter');
$pdf->AddPage();
$pdf->SetTitle(utf8_decode('Recibo oficial de Tesoreria Municipal'));

//!aqui va la imagen de fondo del recibo
//$pdf->Image('../../assets/img/avatars/recibo_pago.png', 0, 0, $pdf->GetPageWidth(), 0);


$fecha = $fila['fecha_recibo'];

// Convertir la fecha al mes en letra en español
$dia = date("d", strtotime($fila["fecha_recibo"]));
$mes = date("m", strtotime($fila["fecha_recibo"]));
$anio = date("Y", strtotime($fila["fecha_recibo"]));

$pdf->Ln(5);
// Establecer fuente y tamaño
$pdf->SetFont('Arial', 'B', 9);
$pdf->Cell(154, 5, '',0, 0, 'C');
$pdf->Cell(11, 5, $dia,0, 0, 'C');
$pdf->Cell(20, 5, strtoupper($mes),0, 0, 'C');
$pdf->Cell(13, 5, $anio,0, 0, 'C');
$pdf->Ln(24);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(20, 5, '',0, 0, 'L');
$pdf->Cell(180, 5, utf8_decode($fila['nombre_usuario']),0, 0, 'L');
$pdf->Ln(5);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(20, 5, '',0, 0, 'L');
$pdf->Cell(180, 5, utf8_decode('VENUSTIANO CARRANZA, PUEBLA'),0, 0, 'L');
$pdf->Ln(5);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(8, 5, '',0, 0, 'L');
$pdf->Cell(70, 5, utf8_decode('-------------'),0, 0, 'L');
$pdf->Cell(15, 5, '',0, 0, 'L');
$pdf->Cell(60, 5, utf8_decode('------------------'),0, 0, 'L');
$pdf->Cell(30, 5, utf8_decode('73040'),0, 0, 'L');
$pdf->Cell(17, 5, '',0, 0, 'L');

$pdf->Ln(20);
while ($row = $resultConceptosPagados->fetch_assoc()) {
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(37, 5, '',0, 0, 'L');
$pdf->Cell(27, 5, utf8_decode(''),0, 0, 'C');
$pdf->Cell(90, 5, utf8_decode($row['cantidad'].'   -   '.$row['descripcion_concepto_recaudacion']),0, 0, 'C');
$pdf->Cell(40, 5, utf8_decode('$ '.$row['importe_concepto'].'.00'),0, 0, 'C');
$pdf->Ln(5);
}

$pdf->SetY(92);
$pdf->SetFont('Arial', 'B', 8);
$pdf->Cell(37, 5, '',0, 0, 'L');
$pdf->Cell(27, 5, utf8_decode(''),0, 0, 'C');
$pdf->Cell(90, 5, utf8_decode('DESCUENTO: '.$porcentaje.'%'),0, 0, 'R');
$pdf->Cell(40, 5, utf8_decode('$ '.$descuento.'.00'),0, 0, 'C');

$pdf->Ln(5);
$pdf->SetFont('Arial', 'B', 10);
$pdf->Cell(37, 5, '',0, 0, 'L');
$pdf->Cell(27, 5, utf8_decode(''),0, 0, 'C');
$pdf->Cell(90, 5, utf8_decode(''),0, 0, 'C');
$pdf->Cell(40, 5, utf8_decode('$ '.$nuevoTotal.'.00'),0, 0, 'C');

function convertirDecenasDeMillonALetra($numero) {
    $unidades = array('', 'uno', 'dos', 'tres', 'cuatro', 'cinco', 'seis', 'siete', 'ocho', 'nueve', 'diez', 'once', 'doce', 'trece', 'catorce', 'quince', 'dieciséis', 'diecisiete', 'dieciocho', 'diecinueve');
    $decenas = array('', '', 'veinte', 'treinta', 'cuarenta', 'cincuenta', 'sesenta', 'setenta', 'ochenta', 'noventa');
    $centenas = array('', 'ciento', 'doscientos', 'trescientos', 'cuatrocientos', 'quinientos', 'seiscientos', 'setecientos', 'ochocientos', 'novecientos');

    if ($numero == 0) {
        return 'cero';
    }else if($numero == 100) {
        return 'cien';
    } elseif ($numero < 0) {
        return 'menos ' . convertirDecenasDeMillonALetra(abs($numero));
    } elseif ($numero < 20) {
        return $unidades[$numero];
    } elseif ($numero < 100) {
        $decena = floor($numero / 10);
        $unidad = $numero % 10;
        if ($unidad == 0) {
            return $decenas[$decena];
        } else {
            return $decenas[$decena] . ' y ' . $unidades[$unidad];
        }
    } elseif ($numero < 1000) {
        $centena = floor($numero / 100);
        $resto = $numero % 100;
        if ($resto == 0) {
            return $centenas[$centena];
        } else {
            return $centenas[$centena] . ' ' . convertirDecenasDeMillonALetra($resto);
        }
    } elseif ($numero < 1000000) {
        $miles = floor($numero / 1000);
        $resto = $numero % 1000;
        if ($resto == 0) {
            return convertirDecenasDeMillonALetra($miles) . ' mil';
        } else {
            return convertirDecenasDeMillonALetra($miles) . ' mil ' . convertirDecenasDeMillonALetra($resto);
        }
    } elseif ($numero < 100000000) {
        $decenasDeMillon = floor($numero / 1000000);
        $resto = $numero % 1000000;
        if ($resto == 0) {
            return convertirDecenasDeMillonALetra($decenasDeMillon) . ' millones';
        } else {
            return convertirDecenasDeMillonALetra($decenasDeMillon) . ' millones ' . convertirDecenasDeMillonALetra($resto);
        }
    } else {
        return 'Número fuera de rango';
    }
}

$numero = $fila['total_orden'];
$numeroEnLetra = convertirDecenasDeMillonALetra($nuevoTotal);

$pdf->Ln(8);
$pdf->SetFont('Arial', 'B', 9);
$pdf->Cell(102, 5, '',0, 0, 'L');
$pdf->MultiCell(98, 4, strtoupper(utf8_decode($numeroEnLetra. '  00/100 M.N')), 0, 'J');
//$pdf->Cell(80, 5, strtoupper(utf8_decode($numeroEnLetra)),1, 0, 'L');



// Salida del PDF
$pdf->Output();