<?php session_start();
error_reporting(0); ?>
<!DOCTYPE html>
<html>

<?php include '../../assets/lib/main_head.php';
require '../model/mostrarConceptosRecaudacionModel.php'; ?>

<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/main_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php include '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container-fluid">
                    <h3 class="text-dark mb-4">Conceptos de Recaudación</h3>
                    <div class="row mb-4">
                        <div class="col-12">
                            <div class="card shadow mb-5">
                                <div class="card-header py-3">
                                    <p class="text-primary m-0 fw-bold">Información completa de Conceptos de Recaudación</p>
                                </div>
                                <div class="card-body">
                                    <div class="row justify-content-center align-items-center">
                                        <div class="col">
                                            <div class="table-responsive" id="tabla">
                                                <button class="btn btn-outline-success mb-3" data-bs-toggle="modal" data-bs-target="#modalAgregarConceptoRecaudacion"> <i class="fas fa-plus-circle"></i> Agregar concepto</button>
                                                <table id="example" class="table table-hover table-sm text-primary">
                                                    <thead>
                                                        <tr>
                                                            <th>Id</th>
                                                            <th>Fuente de recaudación</th>
                                                            <th>Concepto de recaudación</th>
                                                            <th>Núm. de cuenta</th>
                                                            <th>Área administrativa</th>
                                                            <th>Acciones</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <?php
                                                        while ($row = $resultConceptos->fetch_assoc()) {

                                                        ?>
                                                            <tr>
                                                                <td><?php echo $row["id_concepto_recaudacion"]; ?></td>
                                                                <td><?php echo $row["num_fuente_recaudacion"].'-'.$row["descripcion_fuente_recaudacion"]; ?></td>
                                                                <td><?php echo $row["num_concepto_recaudacion"].'-'.$row["descripcion_concepto_recaudacion"]; ?></td>
                                                                <td><?php echo $row["numero_cuenta"]; ?></td>
                                                                <td><?php echo $row["nombre_area"]; ?></td>
                                                                <td>
                                                                    <a class="btn btn-outline-warning btn-sm d-none d-sm-inline-block" role="button" data-bs-toggle="modal" data-bs-target="#modalEditarConcepto" onclick="concepto_obtener_Datos('<?php echo $row['id_concepto_recaudacion'] ?>')">
                                                                        <i class="fas fa-edit fa-sm text-white-0"></i>
                                                                    </a>
                                                                    <a class="btn btn-outline-danger btn-sm d-none d-sm-inline-block" role="button" onclick="concepto_eliminar_confirmar('<?php echo $row['id_concepto_recaudacion'] ?>')">
                                                                        <i class="far fa-trash-alt fa-sm text-white-0"></i>
                                                                    </a>
                                                                </td>
                                                            </tr>
                                                        <?php
                                                        }

                                                        ?>

                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php
    include '../view/modal_agregrarConceptoRecaudacion_view.php';
    include '../view/modal_editarConcepto_view.php';
    include '../../assets/lib/main_footer.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>
</body>

</html>