<?php session_start();
error_reporting(0); ?>
<!DOCTYPE html>
<html>

<?php include '../../assets/lib/main_head.php';
require '../model/mostrar_roles_model.php'; ?>

<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/main_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php require '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container-fluid">
                    <h3 class="text-dark mb-4">Roles de usuarios</h3>
                    <div class="row mb-4">
                        <div class="col-4">
                            <div class="card shadow mb-5">
                                <div class="card-header py-3">
                                    <p class="text-primary m-0 fw-bold"><i class="fas fa-user-plus"></i> Registro de roles</p>
                                </div>
                                <div class="card-body">
                                    <div class="row">
                                        <div class="col-md-12">
                                            <form id="formAgregarRol">
                                                <div class="row">
                                                    <div class="col">
                                                        <div class="mb-3">
                                                            <label class="form-label" for="username">
                                                                <strong>Nombre del Rol *</strong><br>
                                                            </label>
                                                            <input class="form-control" type="text" id="nombreRolView" placeholder="Nombre del rol" name="nombreRolView">
                                                        </div>
                                                    </div>
                                                    <div class="mb-3"><a class="btn btn-primary btn-sm d-none d-sm-inline-block" role="button" id="guardarRol">
                                                            <i class="fas fa-save fa-sm text-white-100"></i> Guardar Información
                                                        </a></div>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-8">
                            <div class="card shadow mb-5">
                                <div class="card-header py-3">
                                    <p class="text-primary m-0 fw-bold"><i class="fas fa-address-book"></i> Roles de usuarios</p>
                                </div>
                                <div class="card-body">
                                    <div class="row justify-content-center align-items-center">
                                        <div class="col">
                                            <div class="table-responsive" id="tabla">
                                                <table id="example" class="table table-hover table-sm text-primary">
                                                    <thead>
                                                        <tr>
                                                            <th>Id</th>
                                                            <th>Nombre del Rol</th>
                                                            <th>Editar</th>
                                                            <th>Eliminar</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <?php
                                                        while ($row = $resultRoles->fetch_assoc()) {

                                                        ?>
                                                            <tr>
                                                                <td><?php echo $row["id_rol"]; ?></td>
                                                                <td><?php echo $row["nombre_rol"]; ?></td>
                                                                <td>
                                                                    <a class="btn btn-outline-warning btn-sm d-none d-sm-inline-block" role="button" data-bs-toggle="modal" data-bs-target="#modalEditarRol" onclick="rol_obtener_Datos('<?php echo $row['id_rol'] ?>')">
                                                                        <i class="fas fa-edit fa-sm text-white-0"></i> Editar
                                                                    </a>
                                                                </td>
                                                                <td>
                                                                    <a class="btn btn-outline-danger btn-sm d-none d-sm-inline-block" role="button" onclick="rol_eliminar_confirmar('<?php echo $row['id_rol'] ?>')">
                                                                        <i class="far fa-trash-alt fa-sm text-white-0"></i> Eliminar
                                                                    </a>
                                                                </td>
                                                            </tr>
                                                        <?php
                                                        }

                                                        ?>

                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php
    include '../view/modal_editarRol_view.php';
    include '../../assets/lib/main_footer.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>
</body>

</html>