<?php
session_start(); // Asegurarse de que se ha iniciado la sesión
error_reporting(0);
require '../model/mostrarInformacionModel.php';
?>
<!DOCTYPE html>
<html>

<?php include '../../assets/lib/main_head.php'; ?>



<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/tesorero_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php include '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container-fluid">
                    <div class="row mb-5">
                        <div class="col-md-6 col-xl-12 mb-2">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters mb-3">
                                        <div class="col me-2">
                                            <div class="text-uppercase text-dark text-md mb-1"><h4>CANCELAR RECIBOS PAGADOS EMITIDOS POR LA TESORERIA MUNICIPAL</h4></div>

                                        </div>
                                        <div class="col-auto"><i class="fas fa-address-book fa-2x text-gray-300"></i></div>
                                    </div>
                                    <div class="row mb-3">
                                        <form>
                                            <div class="col-md-6 col-xl-4">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Ingresa el folio del recibo de pago *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="text" id="termino" placeholder="Buscar" name="termino">
                                                </div>
                                            </div>
                                        </form>

                                        
                                        <div id="resultados" class="mt-3">
                                            <!-- Aquí se mostrarán los resultados AJAX -->
                                        </div>


                                    </div>
                                </div>
                            </div>
                        </div>



                    </div>


                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php include '../../assets/lib/tesorero_footer.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>
    <script>
        $(document).ready(function() {
            $("#termino").on("input", function() {
                var termino = $(this).val();

                $.ajax({
                    type: "GET",
                    url: "../model/buscarRecibosModel.php",
                    data: {
                        termino: termino
                    },
                    success: function(data) {
                        $("#resultados").html(data);
                    },
                    error: function() {
                        $("#resultados").html("<p>Error al buscar.</p>");
                    }
                });
            });
        });
    </script>
    <script src="../../assets/js/script/cancelarRecibo.js"></script>
</body>

</html>