<?php
session_start(); // Asegurarse de que se ha iniciado la sesión
error_reporting(0);
?>
<!DOCTYPE html>
<html>

<?php include '../../assets/lib/main_head.php';
require '../../assets/lib/conexion.php';

$query = "SELECT id_area, nombre_area FROM areas_administrativas";
$resultado = $mysqli->query($query);
?>

<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/tesorero_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php include '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container-fluid">
                    <div class="row mb-3">
                        <div class="col-md-12 mb-4">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters mb-2">
                                        <div class="col me-2">
                                            <div class="text-uppercase fw-bold text-dark mb-3">
                                                <h4>Reporte de Ingresos "General"</h4>
                                            </div>
                                            <div class="text-dark h5 mb-3"><span>Completa todos los campos * para generar el reporte.</span></div>
                                        </div>
                                        <div class="col-auto"><i class="fas fa-file-invoice-dollar fa-3x text-gray-300"></i></div>
                                    </div>
                                    <form id="formGenerarReportes" action="../controller/reporteGeneralController.php" method="POST" target="_blank">
                                        <div class="row mb-3">
                                            <div class="col-md-2">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Fecha inicial *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="date" id="fechaInicialView" placeholder="Municipio" name="fechaInicialView" required>
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Fecha final *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="date" id="fechaFinalView" placeholder="Municipio" name="fechaFinalView" required>
                                                </div>
                                            </div>

                                            <div class="col-md-2 d-grid gap-2 d-md-block">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <br>
                                                    </label>
                                                    <div class="d-grid gap-2">
                                                        <button class="btn btn-info" type="submit">Generar Reporte</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                            </div>
                        </div>

                    </div>

                    <div class="row mb-3">
                        <div class="col-md-12 mb-4">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters mb-2">
                                        <div class="col me-2">
                                            <div class="text-uppercase fw-bold text-dark mb-3">
                                                <h4>Reporte de Ingresos "Especifico por área"</h4>
                                            </div>
                                            <div class="text-dark h5 mb-3"><span>Completa todos los campos * para generar el reporte.</span></div>
                                        </div>
                                        <div class="col-auto"><i class="fas fa-file-invoice-dollar fa-3x text-gray-300"></i></div>
                                    </div>
                                    <form id="formGenerarReporteEspecifico" action="../controller/reporteEspecificoController.php" method="POST" target="_blank">
                                        <div class="row mb-3">
                                            <div class="col-md-2">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Fecha inicial *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="date" id="fechaInicialEspecifico" name="fechaInicialEspecifico" required>
                                                </div>
                                            </div>
                                            <div class="col-md-2">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Fecha final *</strong><br>
                                                    </label>
                                                    <input class="form-control" type="date" id="fechaFinalEspecifico" name="fechaFinalEspecifico" required>
                                                </div>
                                            </div>
                                            <div class="col-md-3">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <strong>Áreas administrativas *</strong><br>
                                                    </label>
                                                    <select class="form-control" id="areaEspecifico" name="areaEspecifico" required>
                                                        <option value="" selected disabled>---Selecciona una opción---</option>
                                                        <?php
                                                        while ($fila = $resultado->fetch_assoc()) { ?>
                                                            <option value="<?php echo $fila['id_area'] ?>"> <?php echo $fila['nombre_area'] ?></option>';
                                                        <?php }
                                                        ?>

                                                    </select>
                                                </div>
                                            </div>

                                            <div class="col-md-2 d-grid gap-2 d-md-block">
                                                <div class="mb-3">
                                                    <label class="form-label" for="username">
                                                        <br>
                                                    </label>
                                                    <div class="d-grid gap-2">
                                                        <button class="btn btn-success" type="submit">Generar Reporte</button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </form>

                                </div>
                            </div>
                        </div>

                    </div>
                    <!--aqui termina uno -->


                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php include '../../assets/lib/tesorero_footer.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>

</body>

</html>