<?php
session_start(); // Asegurarse de que se ha iniciado la sesión
error_reporting(0);
require '../model/mostrarInformacionModel.php';

?>
<!DOCTYPE html>
<html>

<?php include '../../assets/lib/main_head.php'; ?>

<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/tesorero_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php include '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container-fluid">
                    <h3 class="text-dark mb-1">Panel de Control | Tesorero Municipal</h3>
                    <hr>
                    <div class="row mb-5">
                        <div class="col-md-6 col-xl-3 mb-4">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters">
                                        <div class="col me-2">
                                            <div class="text-uppercase text-info fw-bold text-xs mb-1"><span>Roles</span></div>
                                            <div class="text-dark fw-bold h5 mb-0"><span><?php echo $total_registros; ?></span></div>
                                        </div>
                                        <div class="col-auto"><i class="fas fa-address-book fa-2x text-gray-300"></i></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-xl-3 mb-4">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters">
                                        <div class="col me-2">
                                            <div class="text-uppercase text-secondary fw-bold text-xs mb-1"><span>Áreas</span></div>
                                            <div class="text-dark fw-bold h5 mb-0"><span><?php echo $total_areas; ?></span></div>
                                        </div>
                                        <div class="col-auto"><i class="fas fa-layer-group fa-2x text-gray-300"></i></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-xl-3 mb-4">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters">
                                        <div class="col me-2">
                                            <div class="text-uppercase text-warning fw-bold text-xs mb-1"><span>Conceptos</span></div>
                                            <div class="text-dark fw-bold h5 mb-0"><span><?php echo $total_Concepto; ?></span></div>
                                        </div>
                                        <div class="col-auto"><i class="fas fa-calendar fa-2x text-gray-300"></i></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-xl-3 mb-4">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters">
                                        <div class="col me-2">
                                            <div class="text-uppercase text-success fw-bold text-xs mb-1"><span>Usuarios</span></div>
                                            <div class="text-dark fw-bold h5 mb-0"><span><?php echo $total_Usuarios; ?></span></div>
                                        </div>
                                        <div class="col-auto"><i class="fas fa-users fa-2x text-gray-300"></i></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-xl-4 mb-4">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters">
                                        <div class="col me-2">
                                            <div class="text-uppercase text-primary fw-bold text-xs mb-1"><span>Fecha</span></div>
                                            <div class="text-dark fw-bold h5 mb-0"><span><?php echo date('d - m - Y'); ?></span></div>
                                        </div>
                                        <div class="col-auto"><i class="fas fa-calendar fa-2x text-gray-300"></i></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-xl-4 mb-4">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters">
                                        <div class="col me-2">
                                            <div class="text-uppercase text-danger fw-bold text-xs mb-1"><span>Ingresos Totales de Hoy</span></div>
                                            <div class="text-success fw-bold h5 mb-0"><span><?php if ($total_IngresoDiario == '') {
                                                                                                echo '$ 0';
                                                                                            } else {
                                                                                                echo '$ ' . $total_IngresoDiario.'.00';
                                                                                            } ?></span></div>
                                        </div>
                                        <div class="col-auto"><i class="fas fa-dollar-sign fa-2x text-gray-300"></i></div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-6 col-xl-4 mb-4">
                            <div class="card shadow border-start-primary py-2">
                                <div class="card-body">
                                    <div class="row align-items-center no-gutters">
                                        <div class="col me-2">
                                            <div class="text-uppercase text-dark fw-bold text-xs mb-1"><span>Reporte de Ingresos Diario</span></div>
                                            <div class="text-success fw-bold h5 mb-0">
                                            <a class="btn btn-outline-danger btn-sm d-none d-sm-inline-block" role="button" data-bs-toggle="modal" data-bs-target="#modalPDF">
                                                                        <i class="fas fa-file-pdf  text-white-0"></i> Ver Reporte PDF
                                                                    </a>
                                            </div>
                                        </div>
                                        <div class="col-auto"><i class="fas fa-file-pdf fa-2x text-gray-300"></i></div>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </div>


                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php include '../../assets/lib/tesorero_footer.php';
    include 'modalVerReporteDiario_view.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>
</body>

</html>