$(document).ready(function () {
  

  $("#guardarOrden").click(function () {
    var fecha = document.getElementById("fechaOrden").value;
    var contribuyente = document.getElementById("nombreContribuyente").value;
    

    if (contribuyente === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa el nombre del contribuyente",
        icon: "warning",
      });
      return false;
    }   else if (fecha === "") {
      Swal.fire({
        title: "Todos los campos * son obligatorios",
        text: "Ingresa la fecha de emisión de la orden",
        icon: "warning",
      });
      return false;
    } else {

Swal.fire({
        title: "Autorizar orden de pago",
        icon: "warning",
        html: '<label>¿Está seguro que desea autorizar la orden de pago? Verifica el total de los conceptos a pagar. </label><br><br><input type="password" id="password" class="form-control " placeholder="Ingrese su contraseña">',
        showCancelButton: true,
        confirmButtonColor: "#3085d6",
        cancelButtonColor: "#d33",
        confirmButtonText: "Autorizar",
        cancelButtonText: "Cancelar",
        
      }).then((result) => {
        if (result.isConfirmed) {
          const password = document.getElementById("password").value;
          $.ajax({
            url: "../model/verificarContraseñaModel.php",
            type: "POST",
            data: {
              password: password,
            },
            success: function (response) {
              if (response === "contraseña_correcta") {
                // Aquí se puede generar la orden
                forms = $("#formAgregarOrden").serialize();

                $.ajax({
                  url: "../controller/generarOrdenPagoController.php",
                  type: "POST",
                  dataType: "json",
                  data: forms,
                }).done(function (respuesta) {
                  console.log(respuesta);
                  if (!respuesta.error) {
                    if (respuesta.result == "1") {
                      $("#formAgregarOrden")[0].reset();
                      
                      Swal.fire({
                        icon: "success",
                        title: "Correcto!",
                        text: "Orden de pago generada correctamente...",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                    } else if (respuesta.result == "2") {
                      $("#formAgregarOrden")[0].reset();
                      
                      Swal.fire({
                        icon: "error",
                        title: "Correcto!",
                        text: "El folio esta en uso...",
                        showConfirmButton: false,
                        timer: 1500,
                      });
                    }
                  } else {
                    Swal.fire({
                      icon: "error",
                      title: "Upps!",
                      text: "Ocurrio un error, no se guardo la información",
                    });
                  }
                });
              } else {
                Swal.fire({
                  icon: "error",
                  title: "Contraseña incorrecta",
                  text: "Vuelve a ingresar su contraseña",
                  showConfirmButton: false,
                  timer: 1500,
                });
                return false;
              }
            },
          });
        } else {
          Swal.fire({
            icon: "info",
            title: "Operacion cancelada",
            showConfirmButton: false,
            timer: 1500,
          });
          return false;
        }
      });

    }
  });
//!POR SI ACASO OCUPO ESTA FUNCION ESTA EN EL EVENTO ONCLIC DEL BOTON GENERAR ORDEN DE PAGO
  /*function generarOrden() {
    // Obtener los datos del formulario
    var formData = new FormData(document.getElementById("formAgregarOrden"));

    // Realizar la solicitud AJAX
    var xhr = new XMLHttpRequest();
    xhr.open("POST", "../controller/generarOrdenPagoController.php", true);
    xhr.onreadystatechange = function() {
        if (xhr.readyState === 4 && xhr.status === 200) {
            // Manejar la respuesta (opcional)
            var respuesta = JSON.parse(xhr.responseText);
            if (respuesta.exito) {
                alert("Orden generada con éxito.");
            } else {
                alert("Error al generar la orden.");
            }
        }
    };

    // Enviar la solicitud con los datos del formulario
    xhr.send(formData);
}*/

  
});








//?CAMBIAR EL ESTATUS DE LA ORDEN A CANCELADA



