$(document).ready(function () {
    $("#iniciarSesion").click(function () {
      var correo = document.getElementById("emailView").value;
      var contrasena = document.getElementById("contrasenaView").value;
  
      if (correo === "") {
        Swal.fire({
          title: "Todos los campos * son obligatorios",
          text: "Ingresa un correo electronico",
          icon: "warning",
        });
        return false;
      } else if (contrasena === "") {
        Swal.fire({
          title: "Todos los campos * son obligatorios",
          text: "Ingresa la contraseña",
          icon: "warning",
        });
        return false;
      }else {
        forms = $("#formIniciarSesion").serialize();
  
        $.ajax({
            url: "login/controller/iniciarSesion_controller.php",
            type: "POST",
            dataType: "json",
            data: forms
          })
            .done(function (respuesta) {
              console.log(respuesta);
              if (!respuesta.error) {
                if (respuesta.tipo == "1") {
                  $("#formIniciarSesion")[0].reset();
                  location.href = "master/view/index.php";
                } else if(respuesta.tipo == "5"){
                  $("#formIniciarSesion")[0].reset();
                  location.href = "areas/view/index.php";
                } else if(respuesta.tipo == "2"){
                  $("#formIniciarSesion")[0].reset();
                  location.href = "tesorero/view/index.php";
                } else if(respuesta.tipo == "4"){
                  $("#formIniciarSesion")[0].reset();
                  location.href = "caja/view/index.php";
                }
              } else {
                Swal.fire({
                    title: "Acceso denegado!",
                    text: "El Correo/Contraseña no existe, verifica que sean correctos e intenta de nuevo...",
                    icon: "error",
                  });
              }
            })
            .fail(function (resp) {
              console.log(resp.responseText);
            })
            .always(function () {
              console.log("Tarea completa");
            });
      }
    });
  });