var contribuyente = document.getElementById("editarNombreContribuyente");
var exp_numero = /^\d+$/;

//?CASILLA DE AGREGAR MAS INFORMACION DEL CONTRIBUYENTE
var checkbox = document.getElementById("casilla");
var inputsContainer = document
  .getElementById("modalGuardarPago")
  .querySelector(".infoAdicional");

checkbox.addEventListener("change", function () {
  if (this.checked) {
    // Checkbox ha sido marcado
    inputsContainer.classList.remove("d-none");
  } else {
    // Checkbox ha sido desmarcado
    console.log("Checkbox desmarcado");
    inputsContainer.classList.add("d-none");
  }
});

//?CASILLA AGREGAR MAS INFORMACION DEL DESCUENTO
var descuento = document.getElementById("descuento");
var descuentoCheckBox = document
  .getElementById("modalGuardarPago")
  .querySelector(".descuentoCondonacion");

descuento.addEventListener("change", function () {
  if (this.checked) {
    // Checkbox ha sido marcado
    descuentoCheckBox.classList.remove("d-none");
  } else {
    // Checkbox ha sido desmarcado
    console.log("Checkbox desmarcado");
    descuentoCheckBox.classList.add("d-none");
  }
});


function obtenerIdOrden(id_orden) {
  $.ajax({
    type: "POST",
    data: "id_orden=" + id_orden,
    url: "../controller/obtenerIdOrdenController.php",
    success: function (r) {
      datos = jQuery.parseJSON(r);
      $("#id_orden_pago").val(datos["id_OrdenHidden"]);
      $("#editarNombreContribuyente").val(datos["editarNombreContribuyente"]);
      $("#fechaOrdenPago").val(datos["fechaOrdenPago"]);
    },
  });
}

var id_orden;
function Orden(id) {
  id_orden = id;
}

function idOrden() {
  var xmlhttp = new XMLHttpRequest();
  xmlhttp.onreadystatechange = function () {
    if (this.readyState == 4 && this.status == 200) {
      document.getElementById("tablaResultados").innerHTML = this.responseText;
    }
  };
  xmlhttp.open(
    "GET",
    "../../caja/controller/obtener_estudiantesController.php?id_orden="+id_orden,
    true
  );
  xmlhttp.send();
}

function orden_eliminar_confirmar(id_conceptos_pagar) {
  Swal.fire({
    icon: "warning",
    title: "¿Estás seguro/a de eliminar el Concepto?",
    showConfirmButton: true,
    confirmButtonText: "Eliminar",
    confirmButtonColor: "#3085d6",
    showCancelButton: true,
    cancelButtonText: "Cancelar",
    cancelButtonColor: "#d33",
    buttonsStyling: true,
  }).then((result) => {
    if (result.isConfirmed) {
      $.ajax({
        url: "../controller/eliminarConceptoPagarController.php",
        type: "POST",
        dataType: "json",
        data: "id_conceptos_pagar=" + id_conceptos_pagar,
      })
        .done(function (respuesta) {
          console.log(respuesta);
          if (!respuesta.error) {
            if (respuesta.result == 1) {
              $("#tablaResultados").load(window.location.href + " #tablaResultados");
              idOrden();
              Swal.fire({
                position: "center",
                icon: "success",
                title: "Eliminado correctamente!",
                showConfirmButton: false,
                timer: 1500,
              });
            }
          }
        })
        .fail(function (resp) {
          console.log(resp.responseText);
        })
        .always(function () {
          console.log("Tarea completa");
        });
    }
  });
}

function pagarOrden(id_orden) {
  Swal.fire({
    title: "Pagar orden de pago",
    icon: "warning",
    html: '<label>¿Está seguro que desea ir pagar la orden de pago?</label><br><br><input type="password" id="password" class="form-control " placeholder="Ingrese su contraseña">',
    showCancelButton: true,
    confirmButtonColor: "#3085d6",
    cancelButtonColor: "#d33",
    confirmButtonText: "Continuar",
    cancelButtonText: "Cancelar",
  }).then((result) => {
    if (result.isConfirmed) {
      const password = document.getElementById("password").value;
      $.ajax({
        url: "../model/verificarContraseñaModel.php",
        type: "POST",
        data: {
          password: password,
        },
        success: function (response) {
          if (response === "contraseña_correcta") {
            $("#modalGuardarPago").modal("show");            

            //-AQUI DEBE IR CUANDO SE LE CLIC EN EL BOTON PAGAR Y GENERAR RECIBO
            // Obtener referencia al botón por su ID
            var pagarGenerarRecibo =
              document.getElementById("pagarGenerarRecibo");

            // Asignar función al evento de clic
            pagarGenerarRecibo.addEventListener("click", function () {
              //SI LA CASILLA DE DESCUENTO ESTA ACTIVA Y LA CASILLA DE AGREGAR MAS INFORMACION DEL CONTRIBUYENTE ESTA ACTIVA
              if (checkbox.checked && descuento.checked) {
                console.log("LAS DOS CASILLAS ESTAN SELECCIONADAS");

                //!---AJAX PARA GUARDAR DATOS EN DESCUENTO Y MAS INFORMACION DEL CONTRIBUYENTE
                Swal.fire({
                  title: "Confirmar el pago",
                  text: "¿Estás seguro de que deseas confirmar el pago del concepto?",
                  icon: "warning",
                  showCancelButton: true,
                  confirmButtonText: "Sí, Confirmar",
                  cancelButtonText: "Cancelar",
                }).then((result) => {
                  if (result.isConfirmed) {
                    //?aqui se enviar los datos al servidor por medio de ajax
                    forms = $("#formGenerarRecibo").serialize();
                    $.ajax({
                      url: "../controller/agregarReciboDescuentoContribuyenteController.php",
                      type: "POST",
                      dataType: "json",
                      data: forms,
                    }).done(function (respuesta) {
                      console.log(respuesta);
                      if (!respuesta.error) {
                        if (respuesta.result == "1") {
                          $("#example").load(
                            window.location.href + " #example"
                          );
                          Swal.fire({
                            icon: "success",
                            title: "Pago realizado!",
                            text: "Recibo generado correctamente...",
                            showConfirmButton: false,
                            timer: 1500,
                          });
                          $("#formGenerarRecibo")[0].reset();
                          $("#modalGuardarPago").modal("hide");
                        } else if (respuesta.result == "2") {
                          $("#example").load(
                            window.location.href + " #example"
                          );
                          Swal.fire({
                            icon: "error",
                            title: "Error!",
                            text: "El folio esta en uso...",
                            showConfirmButton: false,
                            timer: 1500,
                          });
                        } else if (respuesta.result == "3") {
                          Swal.fire({
                            icon: "warning",
                            title: "Todos los campos * son obligatorios!",
                            text: "Existen datos vacios, verifica que todos los campos esten correctos",
                          });
                        }
                      } else {
                        Swal.fire({
                          icon: "error",
                          title: "Upps!",
                          text: "Ocurrio un error, no se guardo la información",
                        });
                      }
                    });

                    //?aqui termina de enviar los datos al servidor

                    // Aquí puedes realizar la acción autorizada
                  } else {
                    Swal.fire({
                      title: "Acción cancelada",
                      text: "La acción ha sido cancelada",
                      icon: "info",
                      confirmButtonText: "Aceptar",
                    });
                    // Aquí puedes manejar la acción de cancelación
                  }
                });

                //!---------------------------------------
              }
              //SI LA CASILLA DE DESCUENTO ESTA ACTIVA Y LA CASILLA DE AGREGAR MAS INFORMACION DEL CONTRIBUYENTE NO ESTA ACTIVA
              else if (checkbox.checked && !descuento.checked) {
                console.log(
                  "ESTA SELECCIONADA LA DE CONTRIBUYENTE Y LA DE DESCUENTO NO"
                );

                //!---AJAX PARA GUARDAR DATOS EN DESCUENTO Y MAS INFORMACION DEL CONTRIBUYENTE
                Swal.fire({
                  title: "Confirmar el pago",
                  text: "¿Estás seguro de que deseas confirmar el pago del concepto?",
                  icon: "warning",
                  showCancelButton: true,
                  confirmButtonText: "Sí, Confirmar",
                  cancelButtonText: "Cancelar",
                }).then((result) => {
                  if (result.isConfirmed) {
                    //?aqui se enviar los datos al servidor por medio de ajax
                    forms = $("#formGenerarRecibo").serialize();
                    $.ajax({
                      url: "../controller/agregarRecibo+ContribuyenteController.php",
                      type: "POST",
                      dataType: "json",
                      data: forms,
                    }).done(function (respuesta) {
                      console.log(respuesta);
                      if (!respuesta.error) {
                        if (respuesta.result == "1") {
                          $("#example").load(
                            window.location.href + " #example"
                          );
                          Swal.fire({
                            icon: "success",
                            title: "Pago realizado!",
                            text: "Recibo generado correctamente...",
                            showConfirmButton: false,
                            timer: 1500,
                          });
                          $("#formGenerarRecibo")[0].reset();
                          $("#modalGuardarPago").modal("hide");
                        } else if (respuesta.result == "2") {
                          $("#example").load(
                            window.location.href + " #example"
                          );
                          Swal.fire({
                            icon: "error",
                            title: "Correcto!",
                            text: "El folio esta en uso...",
                            showConfirmButton: false,
                            timer: 1500,
                          });
                        } else if (respuesta.result == "3") {
                          Swal.fire({
                            icon: "warning",
                            title: "Todos los campos * son obligatorios!",
                            text: "Existen datos vacios, verifica que todos los campos esten correctos",
                          });
                        }
                      } else {
                        Swal.fire({
                          icon: "error",
                          title: "Upps!",
                          text: "Ocurrio un error, no se guardo la información",
                        });
                      }
                    });

                    //?aqui termina de enviar los datos al servidor

                    // Aquí puedes realizar la acción autorizada
                  } else {
                    Swal.fire({
                      title: "Acción cancelada",
                      text: "La acción ha sido cancelada",
                      icon: "info",
                      confirmButtonText: "Aceptar",
                    });
                    // Aquí puedes manejar la acción de cancelación
                  }
                });

                //!---------------------------------------
              }
              //SI LA CASILLA DE DESCUENTO NO ESTA ACTIVA Y LA CASILLA DE AGREGAR MAS INFORMACION DEL CONTRIBUYENTE ESTA ACTIVA
              else if (!checkbox.checked && descuento.checked) {
                console.log(
                  "ESTA SELECCIONADA LA DE DESCUENTO Y LA DE CONTRIBUYENTE NO"
                );

                //!---AJAX PARA GUARDAR DATOS EN DESCUENTO Y NO INFORMACION DEL CONTRIBUYENTE
                Swal.fire({
                  title: "Confirmar el pago",
                  text: "¿Estás seguro de que deseas confirmar el pago del concepto?",
                  icon: "warning",
                  showCancelButton: true,
                  confirmButtonText: "Sí, Confirmar",
                  cancelButtonText: "Cancelar",
                }).then((result) => {
                  if (result.isConfirmed) {
                    //?aqui se enviar los datos al servidor por medio de ajax
                    forms = $("#formGenerarRecibo").serialize();
                    $.ajax({
                      url: "../controller/agregarRecibo+DescuentoController.php",
                      type: "POST",
                      dataType: "json",
                      data: forms,
                    }).done(function (respuesta) {
                      console.log(respuesta);
                      if (!respuesta.error) {
                        if (respuesta.result == "1") {
                          $("#example").load(
                            window.location.href + " #example"
                          );
                          Swal.fire({
                            icon: "success",
                            title: "Pago realizado!",
                            text: "Recibo generado correctamente...",
                            showConfirmButton: false,
                            timer: 1500,
                          });
                          $("#formGenerarRecibo")[0].reset();
                          $("#modalGuardarPago").modal("hide");
                        } else if (respuesta.result == "2") {
                          $("#example").load(
                            window.location.href + " #example"
                          );
                          Swal.fire({
                            icon: "error",
                            title: "Correcto!",
                            text: "El folio esta en uso...",
                            showConfirmButton: false,
                            timer: 1500,
                          });
                        } else if (respuesta.result == "3") {
                          Swal.fire({
                            icon: "warning",
                            title: "Todos los campos * son obligatorios!",
                            text: "Existen datos vacios, verifica que todos los campos esten correctos",
                          });
                        }
                      } else {
                        Swal.fire({
                          icon: "error",
                          title: "Upps!",
                          text: "Ocurrio un error, no se guardo la información",
                        });
                      }
                    });

                    //?aqui termina de enviar los datos al servidor

                    // Aquí puedes realizar la acción autorizada
                  } else {
                    Swal.fire({
                      title: "Acción cancelada",
                      text: "La acción ha sido cancelada",
                      icon: "info",
                      confirmButtonText: "Aceptar",
                    });
                    // Aquí puedes manejar la acción de cancelación
                  }
                });

                //!---------------------------------------
              }
              //SI LA CASILLA DE DESCUENTO NO ESTA ACTIVA Y LA CASILLA DE AGREGAR MAS INFORMACION DEL CONTRIBUYENTE NO ESTA ACTIVA
              else if (!checkbox.checked && !descuento.checked) {
                console.log("AMBAS CASILLAS NO ESTAN SELECCIONADAS");

                //!---AJAX PARA GUARDAR DATOS EN DESCUENTO Y MAS INFORMACION DEL CONTRIBUYENTE
                Swal.fire({
                  title: "Confirmar el pago",
                  text: "¿Estás seguro de que deseas confirmar el pago del concepto?",
                  icon: "warning",
                  showCancelButton: true,
                  confirmButtonText: "Sí, Confirmar",
                  cancelButtonText: "Cancelar",
                }).then((result) => {
                  if (result.isConfirmed) {
                    //?aqui se enviar los datos al servidor por medio de ajax
                    forms = $("#formGenerarRecibo").serialize();
                    $.ajax({
                      url: "../controller/agregarReciboController.php",
                      type: "POST",
                      dataType: "json",
                      data: forms,
                    }).done(function (respuesta) {
                      console.log(respuesta);
                      if (!respuesta.error) {
                        if (respuesta.result == "1") {
                          $("#example").load(
                            window.location.href + " #example"
                          );
                          Swal.fire({
                            icon: "success",
                            title: "Pago realizado!",
                            text: "Recibo generado correctamente...",
                            showConfirmButton: false,
                            timer: 1500,
                          });
                          $("#formGenerarRecibo")[0].reset();
                          $("#modalGuardarPago").modal("hide");
                        } else if (respuesta.result == "2") {
                          $("#example").load(
                            window.location.href + " #example"
                          );
                          Swal.fire({
                            icon: "error",
                            title: "Correcto!",
                            text: "El folio esta en uso...",
                            showConfirmButton: false,
                            timer: 1500,
                          });
                        } else if (respuesta.result == "3") {
                          Swal.fire({
                            icon: "warning",
                            title: "Todos los campos * son obligatorios!",
                            text: "Existen datos vacios, verifica que todos los campos esten correctos",
                          });
                        }
                      } else {
                        Swal.fire({
                          icon: "error",
                          title: "Upps!",
                          text: "Ocurrio un error, no se guardo la información",
                        });
                      }
                    });

                    //?aqui termina de enviar los datos al servidor

                    // Aquí puedes realizar la acción autorizada
                  } else {
                    Swal.fire({
                      title: "Acción cancelada",
                      text: "La acción ha sido cancelada",
                      icon: "info",
                      confirmButtonText: "Aceptar",
                    });
                    // Aquí puedes manejar la acción de cancelación
                  }
                });

                //!---------------------------------------
              }

              // Otras instrucciones...
            });
          } else {
            Swal.fire({
              icon: "error",
              title: "Contraseña incorrecta",
              text: "Vuelve a ingresar su contraseña",
              showConfirmButton: false,
              timer: 1500,
            });
            return false;
          }
        },
      });
    } else {
      Swal.fire({
        icon: "info",
        title: "Operacion cancelada",
        showConfirmButton: false,
        timer: 1500,
      });
      return false;
    }
  });
}


