<?php session_start();
error_reporting(0); ?>
<!DOCTYPE html>
<html>

<?php include '../../assets/lib/main_head.php';
include '../model/mostrarOrdenesPagoModel.php';
?>

<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/caja_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php include '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container-fluid">
                    <h3 class="text-dark mb-4">Ordenes de pago</h3>
                    <div class="card">
                        <div class="card-header">
                            <ul class="nav nav-tabs card-header-tabs">
                                <li class="nav-item"><a class="nav-link" href="biblioteca_ordenesEmitidas_view.php">EMITIDAS</a></li>
                                <li class="nav-item"><a class="nav-link active text-success" href="biblioteca_ordenesPagadas_view.php">PAGADAS</a></li>
                                <li class="nav-item"><a class="nav-link" href="biblioteca_ordenesCanceladas_view.php">CANCELADAS</a></li>
                            </ul>
                        </div>
                        <div class="card-body">
                            <div class="row justify-content-center align-items-center">
                                <div class="col">
                                    <div class="table-responsive" id="tabla">
                                        <table id="example" class="table table-hover table-sm text-primary">
                                            <thead>
                                                <tr>
                                                    <th>Id</th>
                                                    <th>Folio Orden</th>
                                                    <th>Folio Recibo</th>
                                                    <th>Importe</th>
                                                    <th>Fecha</th>
                                                    <th>Estatus</th>
                                                    <th>Acción</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                while ($row = $resultOrdenPagada->fetch_assoc()) {

                                                ?>
                                                    <tr>
                                                        <td><?php echo $row["id_orden"]; ?></td>
                                                        <td><?php echo $row["folio_orden"]; ?></td>
                                                        <td><?php echo $row["folio_recibo"]; ?></td>
                                                        <td><?php echo '$ ' . $row["total_orden"]; ?></td>
                                                        <td><?php echo date("d/m/Y", strtotime($row["fecha_recibo"])); ?></td>
                                                        <td><?php echo $row["estatus_orden"]; ?></td>
                                                        <td>
                                                            <a class="btn btn-outline-info btn-sm d-none d-sm-inline-block" role="button" data-bs-toggle="modal" data-bs-target="#modalPDF<?php echo $row["folio_recibo"]; ?>">
                                                                <i class="fas fa-file-invoice-dollar fa-sm text-white-0"></i> Imprimir Recibo
                                                            </a>

                                                        </td>
                                                    </tr>
                                                <?php
                                                    require '../view/modalVerReciboView.php';
                                                }

                                                ?>

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php
    include '../../assets/lib/caja_footer.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>
</body>


</html>