<style>
    .modal-scrollable {
        max-height: 500px;
        overflow-y: auto;
    }
</style>

<div class="modal fade" role="dialog" tabindex="-1" id="modalGuardarPago">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title text-success"><i class="fas fa-dollar"></i> .: Realizando el pago :.</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body modal-scrollable">
                <form id="formGenerarRecibo">
                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong class="text-success">Completa todos los datos correctamente para generar el recibo oficial de Tesorería Municipal</strong><br>
                                        </label>
                                        <input class="form-control" type="hidden" id="id_orden_pago" placeholder="Id de la orden de pago" name="id_orden_pago">
                                       
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-8">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Nombre del Contribuyente *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="editarNombreContribuyente" placeholder="Nombre del contribuyente" name="editarNombreContribuyente">
                                    </div>
                                </div>
                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label" for="last_name">
                                            <strong>Fecha de la orden de pago</strong>
                                        </label>
                                        <input class="form-control" type="date" id="fechaOrdenPago" placeholder="" name="fechaOrdenPago" disabled>
                                    </div>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col">
                                    <div class="table-responsive">
                                        <table id="tablaResultados" class="table table-bordered">
                                            <!-- La tabla de resultados se llenará automáticamente mediante AJAX -->
                                        </table>
                                    </div>
                                </div>

                            </div>


                            <div class="row">
                                <div class="col-8">
                                    <div class="form-check mb-3">
                                        <input class="form-check-input" type="checkbox" id="descuento">
                                        <label class="form-check-label text-success" for="flexCheckDefault">
                                            <strong>Aplicar descuento</strong>
                                        </label>
                                    </div>
                                </div>
                            </div>



                            <div class="row descuentoCondonacion d-none" id="fila1">
                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>% de Descuento *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="porcentajeDesc" placeholder="Ingrese el porcentaje de descuento" name="porcentajeDesc">
                                    </div>
                                </div>

                                <div class="col-8">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>Descripción del descuento *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="descripcionDescuento" placeholder="Describa el motivo del descuento" name="descripcionDescuento">
                                    </div>
                                </div>
                                <div class="col-12">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>Documento que presenta el contribuyente para hacer válido el descuento *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="documentoDescuento" placeholder="INE ó Credencial del INAPAM" name="documentoDescuento">
                                    </div>
                                </div>
                            </div>







                            <div class="row">
                                <div class="col-8">
                                    <div class="form-check mb-3">
                                        <input class="form-check-input" type="checkbox" id="casilla">
                                        <label class="form-check-label text-success" for="flexCheckDefault">
                                            <strong>Agregar información adicional del Contribuyente</strong>
                                        </label>
                                    </div>
                                </div>
                            </div>



                            <div class="row infoAdicional d-none" id="fila1">
                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>CURP *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="curpContribuyente" placeholder="CURP a 18 digitos" name="curpContribuyente" maxlength="18">
                                    </div>
                                </div>

                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>RFC *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="rfcContribuyente" placeholder="RFC a 13 digitos" name="rfcContribuyente" maxlength="13">
                                    </div>
                                </div>
                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>Teléfono *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="telefonoContribuyente" placeholder="Ingrese un teléfono a 10 digitos" name="telefonoContribuyente" maxlength="10">
                                    </div>
                                </div>


                                <div class="col-8">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>Correo eléctronico *</strong><br>
                                        </label>
                                        <input class="form-control formulario" tycpe="text" id="correoContribuyente" placeholder="usuario@mail.com" name="correoContribuyente">
                                    </div>
                                </div>

                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>C.P. *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="cpContribuyente" placeholder="Cód. Postal a 5 digitos" name="cpContribuyente" maxlength="5">
                                    </div>
                                </div>


                                <label class="form-label" for="username">
                                    <strong>Domicilio *</strong><br>
                                </label>

                                <div class="col-6">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>Calle/Avenida/Carretera *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="calleContribuyente" placeholder="Calle" name="calleContribuyente">
                                    </div>
                                </div>

                                <div class="col-3">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>No. Ext. *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="numExtContribuyente" placeholder="No. Ext." name="numExtContribuyente">
                                    </div>
                                </div>

                                <div class="col-3">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>No. Int.</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="numIntContribuyente" placeholder="No. Int." name="numIntContribuyente">
                                    </div>
                                </div>

                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>Entidad Federativa *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="entidadFedContribuyente" placeholder="Entidad federativa" name="entidadFedContribuyente">
                                    </div>
                                </div>

                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>Municipio *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="municipioContribuyente" placeholder="Municipio" name="municipioContribuyente">
                                    </div>
                                </div>

                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label  text-success" for="username">
                                            <strong>Colonia/Localidad *</strong><br>
                                        </label>
                                        <input class="form-control formulario" type="text" id="coloniaContribuyente" placeholder="Colonia" name="coloniaContribuyente" required>
                                    </div>
                                </div>
                            </div>






                        </div>
                    </div>

                </form>

            </div>
            <div class="modal-footer"><button id="cerrar" class="btn btn-outline-secondary" type="button" data-bs-dismiss="modal">Cerrar</button>
                <button id="pagarGenerarRecibo" class="btn btn-outline-success" type="button"> <i class="fas fa-dollar-sign"></i> Pagar y generar recibo</button>
            </div>

        </div>
    </div>
</div>