<div class="modal fade" role="dialog" tabindex="-1" id="modalAgregarUsuario">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title text-success"><i class="fas fa-user-plus"></i> Nuevo usuario</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="formAgregarUsuario">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="card tada animated mb-3">

                                <div class="card-body text-center shadow">
                                    <img id="imgPreview" class="rounded-circle mb-3 mt-4" width="160" height="160">
                                    <div class="mb-3">
                                        <div class="row">
                                            <div class="col">
                                                <div class="mb-3">
                                                    <label class="form-label" for="email"><strong>Subir Fotografía *</strong></label>
                                                    <input type="file" id="files" name="file" class="form-control" accept="image/*" onchange="previewImage(event, '#imgPreview')">
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div class="row">
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Nombre del usuario *</strong><br>
                                        </label>
                                        <input class="form-control" type="text" id="nombreUsuario" placeholder="Nombre del usuario" name="nombreUsuario">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Apellido Paterno *</strong><br>
                                        </label>
                                        <input class="form-control" type="text" id="paternoUsuario" placeholder="Apellido paterno del usuario" name="paternoUsuario">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Apellido Materno *</strong><br>
                                        </label>
                                        <input class="form-control" type="text" id="maternoUsuario" placeholder="Apellido materno del usuario" name="maternoUsuario">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Teléfono *</strong><br>
                                        </label>
                                        <input class="form-control" type="text" id="telefonoUsuario" placeholder="Teléfono a 10 digitos" name="telefonoUsuario">
                                    </div>
                                </div>
                                <div class="col-8">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Email *</strong><br>
                                        </label>
                                        <input class="form-control" type="email" id="emailUsuario" placeholder="example@example.com" name="emailUsuario">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Contraseña *</strong><br>
                                        </label>
                                        <input class="form-control" type="password" id="contrasenaUsuario" placeholder="Contraseña" name="contrasenaUsuario">
                                    </div>
                                </div>
                                <div class="col-8">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Confirma contraseña *</strong><br>
                                        </label>
                                        <input class="form-control" type="password" id="confirmaContrasena" placeholder="Confirma contraseña" name="confirmaContrasena">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="last_name">
                                            <strong>Área *</strong>
                                        </label>
                                        <select class="form-select" id="areaUsuario" name="areaUsuario">
                                            <option label="Seleccionar área" disabled selected></option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="last_name">
                                            <strong>Rol *</strong>
                                        </label>
                                        <select class="form-select" id="rolUsuario" name="rolUsuario">
                                            <option label="Seleccionar rol" disabled selected></option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>


                </div>
                <div class="modal-footer"><button id="cerrar_modalAgregar" class="btn btn-outline-secondary" type="button" data-bs-dismiss="modal">Cancelar</button>
                    <button id="guardarUsuario" class="btn btn-outline-success" type="button"> <i class="fas fa-save"></i> Guardar información</button>
                </div>
            </form>
        </div>
    </div>
</div>