<div class="modal fade" role="dialog" tabindex="-1" id="modalEditarUsuario">
    <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title text-warning"><i class="fas fa-user-plus"></i> Actualizar Información</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <form id="formEditarUsuario">
                <div class="modal-body">
                    <div class="row">
                        <div class="col-md-2">
                            <div class="card tada animated mb-3">

                                <div class="card-body text-center shadow">
                                    <img id="fotoUser" class="rounded-circle mb-3 mt-4" width="80" height="80">
                                    <div class="mb-3">
                                        <div class="row">
                                            <div class="col">
                                                <div class="mb-3">
                                                    <label class="form-label" for="email"><strong>Fotografía actual</strong></label>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="card tada animated mb-3">
                                <div class="card-body text-center shadow">
                                    <img id="NuevaFoto" class="rounded-circle mb-3 mt-4" width="120" height="120">
                                    <div class="mb-3">
                                        <div class="row">
                                            <div class="col">
                                                <div class="mb-3">
                                                    <label class="form-label" for="email"><strong>Subir nueva fotografía *</strong></label>
                                                    <input type="file" id="nueva_foto" name="nueva_foto" class="form-control small" accept="image/*" onchange="MostrarImage(event, '#NuevaFoto')">
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col">
                                            <div class="mb-3">
                                                <button type="button" class="btn btn-outline-info" id="resetImagen">Limpiar</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-7">
                            <div class="row">
                                <input class="form-control" type="hidden" id="id_usuario" placeholder="Id del usuario" name="id_usuario">
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Nombre del usuario *</strong><br>
                                        </label>
                                        <input class="form-control" type="text" id="editarNombreUser" placeholder="Nombre del usuario" name="editarNombreUser">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Apellido Paterno *</strong><br>
                                        </label>
                                        <input class="form-control" type="text" id="editarPaternoUser" placeholder="Apellido paterno del usuario" name="editarPaternoUser">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Apellido Materno *</strong><br>
                                        </label>
                                        <input class="form-control" type="text" id="editarMaternoUser" placeholder="Apellido materno del usuario" name="editarMaternoUser">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-4">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Teléfono *</strong><br>
                                        </label>
                                        <input class="form-control" type="text" id="editarTelefonoUser" placeholder="Teléfono a 10 digitos" name="editarTelefonoUser">
                                    </div>
                                </div>
                                <div class="col-8">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Email *</strong><br>
                                        </label>
                                        <input class="form-control" type="email" id="editarEmailUser" placeholder="example@example.com" name="editarEmailUser">
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="username">
                                            <strong>Contraseña *</strong><br>
                                        </label>
                                        <input class="form-control" type="password" id="editarContrasenaUser" placeholder="Contraseña" name="editarContrasenaUser">
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="last_name">
                                            <strong>Área *</strong>
                                        </label>
                                        <select class="form-select" id="editarAreaUser" name="editarAreaUser">
                                            <option value="" disabled>Seleccionar área</option>
                                        </select>
                                    </div>
                                </div>
                                <div class="col">
                                    <div class="mb-3">
                                        <label class="form-label" for="last_name">
                                            <strong>Rol *</strong>
                                        </label>
                                        <select class="form-select" id="editarRolUser" name="editarRolUser">
                                            <option disabled>Seleccionar rol</option>
                                        </select>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>


                </div>
                <div class="modal-footer"><button id="cerrar_modalEditar" class="btn btn-outline-secondary" type="button" data-bs-dismiss="modal">Cancelar</button>
                    <button id="guardarCambiosUsuario" class="btn btn-outline-success" type="button"> <i class="fas fa-edit"></i> Guardar cambios</button>
                </div>
            </form>
        </div>
    </div>
</div>