<?php session_start();
error_reporting(0); ?>
<!DOCTYPE html>
<html>

<?php include '../../assets/lib/main_head.php';
require '../model/mostrar_usuarios_model.php'; ?>

<body id="page-top">
    <div id="wrapper">

        <?php include '../../assets/lib/main_navbar.php'; ?>

        <div class="d-flex flex-column" id="content-wrapper">
            <div id="content">
                <?php include '../../assets/lib/main_head_navbar.php'; ?>
                <div class="container-fluid">
                    <h3 class="text-dark mb-4">Usuarios de la Plataforma</h3>
                    <div class="row mb-4">
                        <div class="col-12">
                            <div class="card shadow mb-5">
                                <div class="card-header py-3">
                                    <p class="text-primary m-0 fw-bold"><i class="fas fa-users"></i> Información completa de usuarios</p>
                                </div>
                                <div class="card-body">
                                    <div class="row justify-content-center align-items-center">
                                        <div class="col">
                                            <div class="table-responsive" id="tabla">
                                                <button class="btn btn-outline-success mb-3" data-bs-toggle="modal" data-bs-target="#modalAgregarUsuario"> <i class="fas fa-user-plus"></i> Agregar usuario</button>
                                                <table id="example" class="table table-hover table-sm text-primary">
                                                    <thead>
                                                        <tr>
                                                            <th>Id</th>
                                                            <th>Nombre del usuario</th>
                                                            <th>Teléfono</th>
                                                            <th>Email</th>
                                                            <th>Área</th>
                                                            <th>Rol</th>
                                                            <th>Foto</th>
                                                            <th>Acciones</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <?php
                                                        while ($row = $resultUsuarios->fetch_assoc()) {

                                                        ?>
                                                            <tr>
                                                                <td><?php echo $row["id_usuario"]; ?></td>
                                                                <td><?php echo $row["nombre_user"].' '.$row["paterno_user"].' '.$row["materno_user"]; ?></td>
                                                                <td><?php echo $row["telefono_user"]; ?></td>
                                                                <td><?php echo $row["correo_user"]; ?></td>
                                                                <td><?php echo $row["nombre_area"]; ?></td>
                                                                <td><?php echo $row["nombre_rol"]; ?></td>
                                                                <td><img class="rounded-circle mb-3 mt-4" width="50" height="50" src="../../assets/img/img_users/<?php echo $row["fotografia_user"]; ?>"></td>
                                                                <td>
                                                                    <a class="btn btn-outline-warning btn-sm d-none d-sm-inline-block" role="button" data-bs-toggle="modal" data-bs-target="#modalEditarUsuario" onclick="usuario_obtener_Datos('<?php echo $row['id_usuario'] ?>')">
                                                                        <i class="fas fa-edit fa-sm text-white-0"></i>
                                                                    </a>
                                                                    <a class="btn btn-outline-danger btn-sm d-none d-sm-inline-block" role="button" onclick="usuario_eliminar_confirmar('<?php echo $row['id_usuario'] ?>')">
                                                                        <i class="far fa-trash-alt fa-sm text-white-0"></i> 
                                                                    </a>
                                                                </td>
                                                            </tr>
                                                        <?php
                                                        }

                                                        ?>

                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="bg-white sticky-footer">
                <div class="container my-auto">
                    <div class="text-center my-auto copyright"><span>Realizado por Ing. Uri Gamaliel Jiménez López</span></div>
                </div>
            </footer>
        </div><a class="border rounded d-inline scroll-to-top" href="#page-top"><i class="fas fa-angle-up"></i></a>
    </div>
    <?php
    include '../view/modal_agregrarUsuario_view.php';
    include '../view/modal_editarUsuario_view.php';
    include '../../assets/lib/main_footer.php'; ?>
    <?php
    require '../../assets/lib/validacionInicioSesion.php';
    ?>
    <script src="../../assets/js/script/usuarios_js.js"></script>
</body>

</html>