<?php

require '../../assets/lib/conexion.php';

// Obtener el término de búsqueda del campo de entrada
$termino = isset($_GET['termino']) ? $_GET['termino'] : '';

// Consulta SQL para buscar en la base de datos (reemplaza "tabla" y "campo" con tus propios nombres)
$sql = "SELECT RP.id_recibo, RP.folio_recibo, RP.estatus_recibo, RP.fecha_recibo, OP.total_orden, AA.nombre_area, OP.nombre_usuario
FROM recibo_pago AS RP 
INNER JOIN orden_pago AS OP ON RP.id_orden=OP.id_orden 
INNER JOIN usuarios AS U ON U.id_usuario=OP.id_usuario 
INNER JOIN areas_administrativas AS AA ON AA.id_area=U.id_area 
WHERE folio_recibo = '$termino' AND estatus_recibo='PAGADO'";
$resultado = $mysqli->query($sql); ?>

<div class="table-responsive">
    <table class="table table-hover table-bordered">
        <thead style="background-color: #4f4f4f; color: #fff;">
            <tr>
                <th>Folio</th>
                <th>Estatus</th>
                <th>Total</th>
                <th>Contribuyente</th>
                <th>Área responsable</th>
                <th>Cancelar</th>
            </tr>
        </thead>
        <tbody>
        <?php
if ($resultado->num_rows > 0) {
while ($fila = $resultado->fetch_assoc()) {
echo "<tr>";
    
    echo "<td>" . $fila['folio_recibo'] . "</td>";
    echo "<td>" . $fila['estatus_recibo'] . "</td>";
    echo "<td>$ " . $fila['total_orden'] . "</td>";
    echo "<td>" . $fila['nombre_usuario'] . "</td>";
    echo "<td>" . $fila['nombre_area'] . "</td>";
    echo "<td><a class='btn btn-outline-danger btn-sm d-none d-sm-inline-block' role='button' onclick='recibo_obtener_Datos(".$fila['id_recibo'].")'>
    <i class='fas fa-ban fa-sm text-white-0'></i> CANCELAR</a></td>";
    echo "</tr>";
}
} else {
echo "<tr>
    <td colspan='6'>No se encontraron resultados.</td>
</tr>";
}?>
        </tbody>
    </table>
</div>
